export interface ProductVariantFields_images {
    __typename: "ProductImage";
    /**
     * The ID of the object.
     */
    id: string;
    /**
     * The URL of the image.
     */
    url: string;
    alt: string;
}
export interface ProductVariantFields_pricing_priceUndiscounted_gross {
    __typename: "Money";
    /**
     * Amount of money.
     */
    amount: number;
    /**
     * Currency code.
     */
    currency: string;
}
export interface ProductVariantFields_pricing_priceUndiscounted_net {
    __typename: "Money";
    /**
     * Amount of money.
     */
    amount: number;
    /**
     * Currency code.
     */
    currency: string;
}
export interface ProductVariantFields_pricing_priceUndiscounted {
    __typename: "TaxedMoney";
    /**
     * Amount of money including taxes.
     */
    gross: ProductVariantFields_pricing_priceUndiscounted_gross;
    /**
     * Amount of money without taxes.
     */
    net: ProductVariantFields_pricing_priceUndiscounted_net;
}
export interface ProductVariantFields_pricing_price_gross {
    __typename: "Money";
    /**
     * Amount of money.
     */
    amount: number;
    /**
     * Currency code.
     */
    currency: string;
}
export interface ProductVariantFields_pricing_price_net {
    __typename: "Money";
    /**
     * Amount of money.
     */
    amount: number;
    /**
     * Currency code.
     */
    currency: string;
}
export interface ProductVariantFields_pricing_price {
    __typename: "TaxedMoney";
    /**
     * Amount of money including taxes.
     */
    gross: ProductVariantFields_pricing_price_gross;
    /**
     * Amount of money without taxes.
     */
    net: ProductVariantFields_pricing_price_net;
}
export interface ProductVariantFields_pricing {
    __typename: "VariantPricingInfo";
    /**
     * Whether it is in sale or not.
     */
    onSale: boolean | null;
    /**
     * The price without any discount.
     */
    priceUndiscounted: ProductVariantFields_pricing_priceUndiscounted | null;
    /**
     * The price, with any discount subtracted.
     */
    price: ProductVariantFields_pricing_price | null;
}
export interface ProductVariantFields_attributes_attribute {
    __typename: "Attribute";
    /**
     * The ID of the object.
     */
    id: string;
    /**
     * Name of an attribute displayed in the interface.
     */
    name: string | null;
    /**
     * Internal representation of an attribute name.
     */
    slug: string | null;
}
export interface ProductVariantFields_attributes_values {
    __typename: "AttributeValue";
    /**
     * The ID of the object.
     */
    id: string;
    /**
     * Name of a value displayed in the interface.
     */
    name: string | null;
    /**
     * Name of a value displayed in the interface.
     */
    value: string | null;
}
export interface ProductVariantFields_attributes {
    __typename: "SelectedAttribute";
    /**
     * Name of an attribute displayed in the interface.
     */
    attribute: ProductVariantFields_attributes_attribute;
    /**
     * Values of an attribute.
     */
    values: (ProductVariantFields_attributes_values | null)[];
}
export interface ProductVariantFields {
    __typename: "ProductVariant";
    /**
     * The ID of the object.
     */
    id: string;
    sku: string;
    name: string;
    /**
     * Quantity of a product available for sale in one checkout.
     */
    quantityAvailable: number;
    /**
     * Whether the variant is in stock and visible or not.
     */
    isAvailable: boolean | null;
    /**
     * List of images for the product variant.
     */
    images: (ProductVariantFields_images | null)[] | null;
    /**
     * Lists the storefront variant's pricing, the current price and discounts, only meant for displaying.
     */
    pricing: ProductVariantFields_pricing | null;
    /**
     * List of attributes assigned to this variant.
     */
    attributes: ProductVariantFields_attributes[];
}
