import { AccountErrorCode } from "./../../gqlTypes/globalTypes";
export interface SetPassword_setPassword_errors {
    __typename: "AccountError";
    /**
     * The error code.
     */
    code: AccountErrorCode;
    /**
     * Name of a field that caused the error. A value of `null` indicates that the
     * error isn't associated with a particular field.
     */
    field: string | null;
    /**
     * The error message.
     */
    message: string | null;
}
export interface SetPassword_setPassword_user_defaultShippingAddress_country {
    __typename: "CountryDisplay";
    /**
     * Country code.
     */
    code: string;
    /**
     * Country name.
     */
    country: string;
}
export interface SetPassword_setPassword_user_defaultShippingAddress {
    __typename: "Address";
    /**
     * The ID of the object.
     */
    id: string;
    firstName: string;
    lastName: string;
    companyName: string;
    streetAddress1: string;
    streetAddress2: string;
    city: string;
    postalCode: string;
    /**
     * Shop's default country.
     */
    country: SetPassword_setPassword_user_defaultShippingAddress_country;
    countryArea: string;
    phone: string | null;
    /**
     * Address is user's default billing address.
     */
    isDefaultBillingAddress: boolean | null;
    /**
     * Address is user's default shipping address.
     */
    isDefaultShippingAddress: boolean | null;
}
export interface SetPassword_setPassword_user_defaultBillingAddress_country {
    __typename: "CountryDisplay";
    /**
     * Country code.
     */
    code: string;
    /**
     * Country name.
     */
    country: string;
}
export interface SetPassword_setPassword_user_defaultBillingAddress {
    __typename: "Address";
    /**
     * The ID of the object.
     */
    id: string;
    firstName: string;
    lastName: string;
    companyName: string;
    streetAddress1: string;
    streetAddress2: string;
    city: string;
    postalCode: string;
    /**
     * Shop's default country.
     */
    country: SetPassword_setPassword_user_defaultBillingAddress_country;
    countryArea: string;
    phone: string | null;
    /**
     * Address is user's default billing address.
     */
    isDefaultBillingAddress: boolean | null;
    /**
     * Address is user's default shipping address.
     */
    isDefaultShippingAddress: boolean | null;
}
export interface SetPassword_setPassword_user_addresses_country {
    __typename: "CountryDisplay";
    /**
     * Country code.
     */
    code: string;
    /**
     * Country name.
     */
    country: string;
}
export interface SetPassword_setPassword_user_addresses {
    __typename: "Address";
    /**
     * The ID of the object.
     */
    id: string;
    firstName: string;
    lastName: string;
    companyName: string;
    streetAddress1: string;
    streetAddress2: string;
    city: string;
    postalCode: string;
    /**
     * Shop's default country.
     */
    country: SetPassword_setPassword_user_addresses_country;
    countryArea: string;
    phone: string | null;
    /**
     * Address is user's default billing address.
     */
    isDefaultBillingAddress: boolean | null;
    /**
     * Address is user's default shipping address.
     */
    isDefaultShippingAddress: boolean | null;
}
export interface SetPassword_setPassword_user {
    __typename: "User";
    /**
     * The ID of the object.
     */
    id: string;
    email: string;
    firstName: string;
    lastName: string;
    isStaff: boolean;
    defaultShippingAddress: SetPassword_setPassword_user_defaultShippingAddress | null;
    defaultBillingAddress: SetPassword_setPassword_user_defaultBillingAddress | null;
    /**
     * List of all user's addresses.
     */
    addresses: (SetPassword_setPassword_user_addresses | null)[] | null;
}
export interface SetPassword_setPassword_accountErrors {
    __typename: "AccountError";
    /**
     * Name of a field that caused the error. A value of `null` indicates that the
     * error isn't associated with a particular field.
     */
    field: string | null;
    /**
     * The error message.
     */
    message: string | null;
    /**
     * The error code.
     */
    code: AccountErrorCode;
}
export interface SetPassword_setPassword {
    __typename: "SetPassword";
    errors: SetPassword_setPassword_errors[];
    /**
     * JWT token, required to authenticate.
     */
    token: string | null;
    /**
     * A user instance.
     */
    user: SetPassword_setPassword_user | null;
    accountErrors: SetPassword_setPassword_accountErrors[];
}
export interface SetPassword {
    /**
     * Sets the user's password from the token sent by email using the RequestPasswordReset mutation.
     */
    setPassword: SetPassword_setPassword | null;
}
export interface SetPasswordVariables {
    token: string;
    email: string;
    password: string;
}
